AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpClientConnectionManagerOptions Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Http::HttpClientConnectionManagerOptions Class Reference

`#include <HttpConnectionManager.h>`

## Public Member Functions
| HttpClientConnectionManagerOptions () noexcept
| HttpClientConnectionManagerOptions (const HttpClientConnectionManagerOptions &rhs)=default
| HttpClientConnectionManagerOptions (HttpClientConnectionManagerOptions &&rhs)=default
HttpClientConnectionManagerOptions & | operator= (const HttpClientConnectionManagerOptions &rhs)=default
HttpClientConnectionManagerOptions & | operator= (HttpClientConnectionManagerOptions &&rhs)=default

## Public Attributes
HttpClientConnectionOptions | ConnectionOptions
size_t | MaxConnections
bool | EnableBlockingShutdown

## Detailed Description

Configuration struct containing all options related to connection manager behavior

## Constructor & Destructor Documentation

## ◆ HttpClientConnectionManagerOptions() [1/3]

Aws::Crt::Http::HttpClientConnectionManagerOptions::HttpClientConnectionManagerOptions | ( |  | ) |
| noexcept

## ◆ HttpClientConnectionManagerOptions() [2/3]

Aws::Crt::Http::HttpClientConnectionManagerOptions::HttpClientConnectionManagerOptions | ( | const HttpClientConnectionManagerOptions & | rhs | ) |
| default

## ◆ HttpClientConnectionManagerOptions() [3/3]

Aws::Crt::Http::HttpClientConnectionManagerOptions::HttpClientConnectionManagerOptions | ( | HttpClientConnectionManagerOptions && | rhs | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

HttpClientConnectionManagerOptions & Aws::Crt::Http::HttpClientConnectionManagerOptions::operator= | ( | const HttpClientConnectionManagerOptions & | rhs | ) |
| default

## ◆ operator=() [2/2]

HttpClientConnectionManagerOptions & Aws::Crt::Http::HttpClientConnectionManagerOptions::operator= | ( | HttpClientConnectionManagerOptions && | rhs | ) |
| default

## Member Data Documentation

## ◆ ConnectionOptions

HttpClientConnectionOptions Aws::Crt::Http::HttpClientConnectionManagerOptions::ConnectionOptions

The http connection options to use for each connection created by the manager

## ◆ EnableBlockingShutdown

bool Aws::Crt::Http::HttpClientConnectionManagerOptions::EnableBlockingShutdown

If set, initiate shutdown will return a future that will allow a user to block until the connection manager has completely released all resources. This isn't necessary during the normal flow of an application, but it is useful for scenarios, such as tests, that need deterministic shutdown ordering. Be aware, if you use this anywhere other than the main thread, you will most likely cause a deadlock. If this is set, you MUST call InitiateShutdown() before releasing your last reference to the connection manager.

## ◆ MaxConnections

size_t Aws::Crt::Http::HttpClientConnectionManagerOptions::MaxConnections

The maximum number of connections the manager is allowed to create/manage

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpConnectionManager.h
- crt/aws-crt-cpp/source/http/HttpConnectionManager.cpp